"""Views for the main app."""

from string import ascii_lowercase

from django.shortcuts import render, redirect
from django.http import JsonResponse

from .models import Peg

def index(request):
    return render(request, 'index.html')

def results(request):
    return render(request, 'results.html')

def scoreboard(request):
    return render(request, 'scoreboard.html')

def teams(request):
    return render(request, 'teams.html')

def bulk_create_pegs(request):
    """Bulk create pegs"""

    number_of_pegs = request.POST.get("pegAmount")
    for i in range(int(number_of_pegs)):
        Peg.objects.create()

    # return to previous page
    return redirect(request.META.get('HTTP_REFERER'))

def get_teams(request):
    """Returns list of teams."""

    if not request.POST:
        return

    search = request.POST.get("search")

    from .teams_demo_test import created_teams

    if search:
        unfiltered_teams = created_teams.copy()
        created_teams = [
            team for team in unfiltered_teams
            if any(
                search.lower() in name for name in
                [member["name"].lower() for member in team["members"]]
            )
        ]

    created_teams.sort(reverse=False, key=lambda team: team["identifier"])
    return JsonResponse({"teams": created_teams})

    # if not search:
    #     created_teams.sort(reverse=False, key=lambda team: team["identifier"])
    #     return JsonResponse({"teams": created_teams})

    # # Create a new list only containing teams that meet the search criteria
    # filtered_teams = []
    # for team in created_teams:
    #     member_names = [member["name"].lower() for member in team["members"]]
    #     if any(search.lower() in name for name in member_names):
    #         filtered_teams.append(team)

    # filtered_teams.sort(reverse=False, key=lambda team: team["identifier"])

    # return JsonResponse({"teams": filtered_teams})
